from turtle import *

setup(600,600)
speed(0)
pixel_width = 20

#"""
picture = ["........",
           ".xx..xx.",
           ".xx..xx.",
           "...xx...",
           "..xxxx..",
           "..xxxx..",
           "..x..x..",
           "........"]
#"""
"""
picture = ["........",
           "..x..x..",
           "..x..x..",
           "........",
           "..x..x..",
           "..x..x..",
           "...xx...",
           "........"]
"""

char_to_col =	{
  "x": "#0c3504",
  ".": "#238210",
  "q": "#bcddb5"
}

def paint_pixel(x,y,col):
    #print(x, y, col)
    pu()
    goto(x*pixel_width, -y*pixel_width)
    pd()
    fillcolor(col)
    color(col)
    begin_fill()
    for i in range(4):
        fd(pixel_width)
        lt(90)
    end_fill()

x_s = len(picture[0]) // 2
y_s = len(picture) // 2
for y in range(len(picture)):
    for x in range(len(picture[y])):
        paint_pixel(x-x_s,y-y_s,char_to_col[picture[y][x]])



