from turtle import *
from random import *
from time import *

setup(600,600)
speed(0)
hideturtle()
bgcolor("grey")
pixel_width = 20

"""
picture = ["........",
           ".xx..xx.",
           ".xx..xx.",
           "...xx...",
           "..xxxx..",
           "..xxxx..",
           "..x..x..",
           "........"]

char_to_col =	{
  "x": "#0c3504",
  ".": "#238210",
  "q": "#bcddb5"
}
"""
"""
picture = ["........",
           "..x..x..",
           "..x..x..",
           "........",
           "..x..x..",
           "..x..x..",
           "...xx...",
           "........"]
"""
#"""
picture = [".....................",
           ".........XXXXX.......",
           "........X.XXXX.......",
           "........XXXXXX.......",
           "...........XXX.xxx...",
           "...XXXXXXXXXXX.xxxx..",
           "..XXXXXXXXXXXX.xxxxx.",
           ".XXXXXXXXXXXXX.xxxxx.",
           ".XXXXX.........xxxxx.",
           "..XXXX.xxxxxxxxxxxx..",
           "...XXX.xxxxxxxxxxxx..",
           ".......xxxxx.........",
           ".......xxxxxxxxx.....",
           ".......xxxxxxx.x.....",
           "........xxxxxxxx.....",
           "....................."]

char_to_col = {
  "x": "yellow",
  ".": "white",
  "X": "blue"
}
#"""

pixel_list = []

def paint_pixel(x,y,col):
    pixel_list.append([x,y,col])

def paint_pixels():
    tracer(0,0)
    while pixel_list:
        pixel = choice(pixel_list)
        paint_pixel3(pixel[0], pixel[1], pixel[2])
        pixel_list.remove(pixel)
        if randrange(0,5) > 3:
            update()
        #sleep(0.001)
    update()

def paint_pixel3(x,y,col):   # used to be paint_pixel
    pu()
    goto(x*(pixel_width+1), -y*(pixel_width+1))
    pd()
    fillcolor(col)
    color(col)
    begin_fill()
    for i in range(4):
        fd(pixel_width)
        lt(90)
    end_fill()

x_s = len(picture[0]) // 2
y_s = len(picture) // 2
for y in range(len(picture)):
    for x in range(len(picture[y])):
        paint_pixel(x-x_s,y-y_s,char_to_col[picture[y][x]])
#print(pixel_list)       
paint_pixels()


